=== debian/changelog ===
ydiff (1.2-2) unstable; urgency=medium

  * Update to new ydiff version 1.2

 -- root <root@e914bae4f317>  Fri, 08 Nov 2024 13:00:51 +0000

ydiff (1.2-0) unstable; urgency=medium

  * Initial upload.

 -- Evgeniy Patlan <evgeniy.patlan@percona.com>  Thu, 15 Oct 2020 09:30:41 +0200
