## ydiff 1.3

=== debian/changelog ===
ydiff (1.3-1) unstable; urgency=medium

  * New upstream release.
  * Rename package to ydiff following upstream. (Closes: #1081715)
  * debian/control (python3-cdiff): Add transitional package.
  * debian/watch: Updated.

 -- Michael Banck <mbanck@debian.org>  Thu, 19 Sep 2024 22:56:36 +0200

cdiff (1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936278

 -- Sandro Tosi <morph@debian.org>  Fri, 04 Oct 2019 21:34:13 -0400

cdiff (1.0-1) unstable; urgency=medium

  * Initial upload. (Closes: #875553)

 -- Michael Banck <mbanck@debian.org>  Wed, 13 Sep 2017 09:30:41 +0200
