=== debian/changelog ===
ydiff (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Acknowledge NMU. 
  * debian/tests: Added autopkgtests.

 -- Michael Banck <mbanck@debian.org>  Sat, 23 Nov 2024 15:06:36 +0100

ydiff (1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 08:19:38 -0500
