=== debian/control ===
Source: ydiff
Section: python
Priority: optional
Maintainer: Michael Banck <mbanck@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-setuptools
Standards-Version: 3.9.8

Package: python3-ydiff
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: python3-cdiff (= 1.0-1.1)
Replaces: python3-cdiff (<< 1.1-1~)
Breaks: python3-cdiff (<< 1.1-1~)
Suggests:
Description: Colored, incremental diff with side by side and auto pager support (Python 3)
 Ydiff is a python module to view colored, incremental diff in a Git/Mercurial/
 Svn workspace or from stdin, with side by side and auto pager support.

Package: python3-cdiff
Depends: python3-ydiff, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: Colored, incremental diff (transitional package)
 This is a transitional package. It can safely be removed.
