=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ydiff

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -f debian/python*-ydiff/usr/bin/ydiff
