=== debian/tests/control ===
Depends:
 @,
 git,
 less,
 subversion,
Test-Command: debian/tests/regression

Depends:
 @,
 git,
Test-Command: debian/tests/unittest
Restrictions: allow-stderr
