=== debian/watch ===
version=3
https://github.com/ymattw/cdiff/tags .*/v?(\d\S+)\.tar\.gz
